Evaluations: yours, or your team's
GET
/v1/workspace/quality/evaluations
const url = 'https://api.vocapable.com/v1/workspace/quality/evaluations';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/quality/evaluations \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
QualityEvaluations
object
data
required
Data
Array<object>
QualityEvaluationSummaryobject
id
required
Id
string
scorecard_id
required
Scorecard Id
string
scorecard_name
required
Scorecard Name
string
scorecard_version
required
Scorecard Version
integer
call
required
QualityEvaluationCall
subject_kind
required
Subject Kind
string
subject
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
score_source
required
Score Source
string
label
required
Label
string
evaluator
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
status
required
Status
string
auto_failed
required
Auto Failed
boolean
answered
required
Answered
integer
needs_review_count
required
Needs Review Count
integer
open_disputes
required
Open Disputes
integer
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
scope
required
Scope
string
Example
{ "data": [ { "call": { "direction": "inbound", "channel": "voice" }, "subject_kind": "person", "score_source": "human", "status": "draft" } ], "scope": "self"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}